RoleUnresolved (Java Platform SE 8 )
Keywords: javax.management.relation.RoleUnresolved class
Date: 2016-07-28

compact3
javax.management.relation

## Class RoleUnresolved

- java.lang.Object
- - javax.management.relation.RoleUnresolved

- All Implemented Interfaces:
    Serializable

      public class RoleUnresolved
      extends Object
      implements Serializable

  Represents an unresolved role: a role not retrieved from a relation due to a problem. It provides the role name, value (if problem when trying to set the role) and an integer defining the problem (constants defined in RoleStatus).

  The serialVersionUID of this class is `-48350262537070138L`.

  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RoleUnresolved(String name, List<ObjectName> value, int pbType)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `clone()` Clone this object.
    `int` | `getProblemType()` Retrieves problem type.
    `String` | `getRoleName()` Retrieves role name.
    `List<ObjectName>` | `getRoleValue()` Retrieves role value.
    `void` | `setProblemType(int pbType)` Sets problem type.
    `void` | `setRoleName(String name)` Sets role name.
    `void` | `setRoleValue(List<ObjectName> value)` Sets role value.
    `String` | `toString()` Return a string describing this object.

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RoleUnresolved

          public RoleUnresolved(String name,
                                List<ObjectName> value,
                                int pbType)
                         throws IllegalArgumentException

      Constructor.
      Parameters:
        `name` - name of the role
        `value` - value of the role (if problem when setting the role)
        `pbType` - type of problem (according to known problem types, listed as static final members).
      Throws:
        `IllegalArgumentException` - if null parameter or incorrect problem type

  - ### Method Detail

    - #### getRoleName

          public String getRoleName()

      Retrieves role name.
      Returns:
        the role name.
      See Also:
        `setRoleName(java.lang.String)`

    - #### getRoleValue

          public List<ObjectName> getRoleValue()

      Retrieves role value.
      Returns:
        an ArrayList of ObjectName objects, the one provided to be set in given role. Null if the unresolved role is returned for a read access.
      See Also:
        `setRoleValue(java.util.List<javax.management.ObjectName>)`

    - #### getProblemType

          public int getProblemType()

      Retrieves problem type.
      Returns:
        an integer corresponding to a problem, those being described as static final members of current class.
      See Also:
        `setProblemType(int)`

    - #### setRoleName

          public void setRoleName(String name)
                           throws IllegalArgumentException

      Sets role name.
      Parameters:
        `name` - the new role name.
      Throws:
        `IllegalArgumentException` - if null parameter
      See Also:
        `getRoleName()`

    - #### setRoleValue

          public void setRoleValue(List<ObjectName> value)

      Sets role value.
      Parameters:
        `value` - List of ObjectName objects for referenced MBeans not set in role.
      See Also:
        `getRoleValue()`

    - #### setProblemType

          public void setProblemType(int pbType)
                              throws IllegalArgumentException

      Sets problem type.
      Parameters:
        `pbType` - integer corresponding to a problem. Must be one of those described as static final members of current class.
      Throws:
        `IllegalArgumentException` - if incorrect problem type
      See Also:
        `getProblemType()`

    - #### clone

          public Object clone()

      Clone this object.
      Overrides:
        `clone` in class `Object`
      Returns:
        an independent clone.
      See Also:
        `Cloneable`

    - #### toString

          public String toString()

      Return a string describing this object.
      Overrides:
        `toString` in class `Object`
      Returns:
        a description of this RoleUnresolved object.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.